Warning related to garuda-settings-manager: newer than repo

Lately when running sudo pacman -Syu I get the following message:

: Starting full system upgrade...
warning: garuda-settings-manager-git: local (1.0.0.r1.g15c4106-3) is newer than chaotic-aur (1.0.0.r1.g15c4106-1)
warning: garuda-settings-manager-kcm-git: local (1.0.0.r1.g15c4106-3) is newer than chaotic-aur (1.0.0.r1.g15c4106-1)

How is it possible to have a newer package compared to the repo? Does this requires intervention?

inxi -Faz

System:
Kernel: 5.15.13-zen1-1-zen x86_64 bits: 64 compiler: gcc v: 11.1.0
parameters: BOOT_IMAGE=/@/boot/vmlinuz-linux-zen
root=UUID=543c6354-5d39-4703-bb64-407600dc772d rw [email protected]
quiet splash rd.udev.log_priority=3 vt.global_cursor_default=0
systemd.unified_cgroup_hierarchy=1
resume=UUID=65b1555e-e8e7-41cb-84a2-63265cdbd7db loglevel=3
Desktop: KDE Plasma 5.23.5 tk: Qt 5.15.2 info: latte-dock wm: kwin_x11
vt: 1 dm: SDDM Distro: Garuda Linux base: Arch Linux
Machine:
Type: Desktop System: ASUS product: N/A v: N/A serial: <superuser required>
Mobo: ASUSTeK model: TUF GAMING B550M-PLUS (WI-FI) v: Rev X.0x
serial: <superuser required> UEFI: American Megatrends v: 2423
date: 08/10/2021
Battery:
Device-1: hidpp_battery_0 model: Logitech Wireless Mouse M325
serial: <filter> charge: 55% (should be ignored) rechargeable: yes
status: Discharging
CPU:
Info: model: AMD Ryzen 5 5600X bits: 64 type: MT MCP arch: Zen 3
family: 0x19 (25) model-id: 0x21 (33) stepping: 0 microcode: 0xA201016
Topology: cpus: 1x cores: 6 tpc: 2 threads: 12 smt: enabled cache:
L1: 384 KiB desc: d-6x32 KiB; i-6x32 KiB L2: 3 MiB desc: 6x512 KiB
L3: 32 MiB desc: 1x32 MiB
Speed (MHz): avg: 3602 high: 3654 min/max: 2200/4650 boost: enabled
scaling: driver: acpi-cpufreq governor: performance cores: 1: 3611 2: 3601
3: 3593 4: 3595 5: 3593 6: 3595 7: 3654 8: 3602 9: 3596 10: 3591 11: 3599
12: 3598 bogomips: 88795
Flags: avx avx2 ht lm nx pae sse sse2 sse3 sse4_1 sse4_2 sse4a ssse3 svm
Vulnerabilities:
Type: itlb_multihit status: Not affected
Type: l1tf status: Not affected
Type: mds status: Not affected
Type: meltdown status: Not affected
Type: spec_store_bypass
mitigation: Speculative Store Bypass disabled via prctl
Type: spectre_v1
mitigation: usercopy/swapgs barriers and __user pointer sanitization
Type: spectre_v2 mitigation: Full AMD retpoline, IBPB: conditional,
IBRS_FW, STIBP: always-on, RSB filling
Type: srbds status: Not affected
Type: tsx_async_abort status: Not affected
Graphics:
Device-1: NVIDIA GP108 [GeForce GT 1030] vendor: ASUSTeK driver: nvidia
v: 495.46 alternate: nouveau,nvidia_drm bus-ID: 07:00.0 chip-ID: 10de:1d01
class-ID: 0300
Device-2: Logitech Webcam C270 type: USB driver: snd-usb-audio,uvcvideo
bus-ID: 3-2:3 chip-ID: 046d:0825 class-ID: 0102 serial: <filter>
Display: x11 server: X.Org 1.21.1.3 compositor: kwin_x11 driver:
loaded: nvidia display-ID: :0 screens: 1
Screen-1: 0 s-res: 1920x1080 s-dpi: 81 s-size: 602x343mm (23.7x13.5")
s-diag: 693mm (27.3")
Monitor-1: HDMI-0 res: 1920x1080 hz: 60 dpi: 82
size: 598x336mm (23.5x13.2") diag: 686mm (27")
Message: Unable to show advanced data. Required tool glxinfo missing.
Audio:
Device-1: NVIDIA GP108 High Definition Audio vendor: ASUSTeK
driver: snd_hda_intel v: kernel bus-ID: 07:00.1 chip-ID: 10de:0fb8
class-ID: 0403
Device-2: AMD Starship/Matisse HD Audio vendor: ASUSTeK
driver: snd_hda_intel v: kernel bus-ID: 09:00.4 chip-ID: 1022:1487
class-ID: 0403
Device-3: Yamaha Steinberg UR22 type: USB driver: snd-usb-audio
bus-ID: 3-1:2 chip-ID: 0499:1509 class-ID: ff00
Device-4: Logitech Webcam C270 type: USB driver: snd-usb-audio,uvcvideo
bus-ID: 3-2:3 chip-ID: 046d:0825 class-ID: 0102 serial: <filter>
Sound Server-1: ALSA v: k5.15.13-zen1-1-zen running: yes
Sound Server-2: JACK v: 1.9.19 running: no
Sound Server-3: PulseAudio v: 15.0 running: no
Sound Server-4: PipeWire v: 0.3.43 running: yes
Network:
Device-1: Intel Wi-Fi 6 AX200 driver: iwlwifi v: kernel bus-ID: 05:00.0
chip-ID: 8086:2723 class-ID: 0280
IF: wlp5s0 state: up mac: <filter>
Device-2: Realtek RTL8125 2.5GbE vendor: ASUSTeK driver: r8169 v: kernel
port: f000 bus-ID: 06:00.0 chip-ID: 10ec:8125 class-ID: 0200
IF: enp6s0 state: down mac: <filter>
Bluetooth:
Device-1: Intel AX200 Bluetooth type: USB driver: btusb v: 0.8
bus-ID: 1-5:2 chip-ID: 8087:0029 class-ID: e001
Report: bt-adapter ID: hci0 rfk-id: 0 state: up address: N/A
Drives:
Local Storage: total: 1.14 TiB used: 855.87 GiB (73.5%)
SMART Message: Required tool smartctl not installed. Check --recommends
ID-1: /dev/nvme0n1 maj-min: 259:0 vendor: Western Digital
model: WDS250G3X0C-00SJG0 size: 232.89 GiB block-size: physical: 512 B
logical: 512 B speed: 31.6 Gb/s lanes: 4 type: SSD serial: <filter>
rev: 111110WD temp: 38.9 C scheme: GPT
ID-2: /dev/sda maj-min: 8:0 type: USB vendor: Seagate
model: ST1000LM035-1RK172 size: 931.51 GiB block-size: physical: 4096 B
logical: 512 B type: HDD rpm: 5400 serial: <filter> rev: 1053 scheme: MBR
Partition:
ID-1: / raw-size: 100 GiB size: 100 GiB (100.00%) used: 32.02 GiB (32.0%)
fs: btrfs dev: /dev/nvme0n1p3 maj-min: 259:3
ID-2: /boot/efi raw-size: 300 MiB size: 299.4 MiB (99.80%)
used: 576 KiB (0.2%) fs: vfat dev: /dev/nvme0n1p1 maj-min: 259:1
ID-3: /home raw-size: 128.59 GiB size: 128.59 GiB (100.00%)
used: 82.21 GiB (63.9%) fs: btrfs dev: /dev/nvme0n1p4 maj-min: 259:4
ID-4: /var/log raw-size: 100 GiB size: 100 GiB (100.00%)
used: 32.02 GiB (32.0%) fs: btrfs dev: /dev/nvme0n1p3 maj-min: 259:3
ID-5: /var/tmp raw-size: 100 GiB size: 100 GiB (100.00%)
used: 32.02 GiB (32.0%) fs: btrfs dev: /dev/nvme0n1p3 maj-min: 259:3
Swap:
Kernel: swappiness: 133 (default 60) cache-pressure: 100 (default)
ID-1: swap-1 type: partition size: 4 GiB used: 0 KiB (0.0%) priority: -2
dev: /dev/nvme0n1p2 maj-min: 259:2
ID-2: swap-2 type: zram size: 15.6 GiB used: 308.2 MiB (1.9%)
priority: 100 dev: /dev/zram0
Sensors:
System Temperatures: cpu: N/A mobo: N/A gpu: nvidia temp: 41 C
Fan Speeds (RPM): N/A gpu: nvidia fan: 0%
Info:
Processes: 363 Uptime: 12h 18m wakeups: 24 Memory: 15.6 GiB
used: 3.48 GiB (22.3%) Init: systemd v: 250 tool: systemctl Compilers:
gcc: 11.1.0 clang: 13.0.0 Packages: pacman: 1665 lib: 350 Shell: fish
v: 3.3.1 default: Bash v: 5.1.12 running-in: yakuake inxi: 3.3.11

Do you get a different result if you run the update command?

1 Like

Pretty much the same thing:

--> Checking for keyring update before starting full system update..
warning: garuda-hotfixes-1.0.4-1 is up to date -- skipping
warning: archlinux-keyring-20220111-1 is up to date -- skipping
warning: chaotic-keyring-20210617-2 is up to date -- skipping
there is nothing to do
:: Starting full system upgrade...
warning: garuda-settings-manager-git: local (1.0.0.r1.g15c4106-3) is newer than chaotic-aur (1.0.0.r1.g15c4106-1)
warning: garuda-settings-manager-kcm-git: local (1.0.0.r1.g15c4106-3) is newer than chaotic-aur (1.0.0.r1.g15c4106-1)
there is nothing to do

--> Updating mlocate index..

Parsing man pages and writing completions to /home/$USER/.local/share/fish/generated_completions/
8640 / 8640 : zramctl.8.gz

Checking for plugin updates
Uninstalling aspell
Downloading "aspell" (1.3.0) from "https://github.com/priner/micro-aspell-plugin/archive/v1.3.0.zip"
One or more plugins installed.

System updated! 🐧

Previously I used the equivalent garuda-update due to the Python 3.10 upgrade. I think it was around that time that the message began showing up.

You can do sudo pacman -Suu, the package got updated and pkgrel got reset :eyes:

8 Likes

I also have the same issue, and I tried fixing it with with that command but ran into this:

error: garuda-settings-manager-git: signature from "Nico Jensch (Chaotic-AUR) <[email protected]>" isinvalid
:: File /var/cache/pacman/pkg/garuda-settings-manager-git-1.0.0.r1.g15c4106-1-x86_64.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: garuda-settings-manager-kcm-git: signature from "Nico Jensch (Chaotic-AUR) <[email protected]>" is invalid
:: File /var/cache/pacman/pkg/garuda-settings-manager-kcm-git-1.0.0.r1.g15c4106-1-x86_64.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: failed to commit transaction (invalid or corrupted package (PGP signature))
Errors occurred, no packages were upgraded.

EDIT: tried again and it worked this time.

Please mark the solution if your issue is now resolved.

2 Likes

Thank you!

This topic was automatically closed 2 days after the last reply. New replies are no longer allowed.